Log4j Version 1.2.7: Class DefaultLF5Configurator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5
Class DefaultLF5Configurator

    java.lang.Object
      |
      +--org.apache.log4j.lf5.DefaultLF5Configurator

All Implemented Interfaces:
  Configurator

public class DefaultLF5Configurator
extends Object
implements Configurator

The `DefaultLF5Configurator` provides a default configuration for the `LF5Appender`. Note: The preferred method for configuring a `LF5Appender` is to use the `LF5Manager` class. This class ensures that configuration does not occur multiple times, and improves system performance. Reconfiguring the monitor multiple times can result in unexpected behavior.

Author:
  Brent Sprecher

Fields inherited from interface org.apache.log4j.spi.Configurator
`INHERITED, NULL`

Method Summary
`static void` | `configure()` This method configures the `LF5Appender` using a default configuration file.
`void` | `doConfigure(URL configURL, LoggerRepository repository)` This is a dummy method that will throw an `IllegalStateException` if used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### configure

    public static void configure()
                          throws IOException

  This method configures the `LF5Appender` using a default configuration file. The default configuration file is defaultconfig.properties.
  Throws:
    `IOException` -

### doConfigure

    public void doConfigure(URL configURL,
                            LoggerRepository repository)

  This is a dummy method that will throw an `IllegalStateException` if used.
  Specified by:
    `doConfigure` in interface `Configurator`
  Following copied from interface: `org.apache.log4j.spi.Configurator`
  Parameters:
    `url` - The URL to parse
    `hierarchy` - The hierarchy to operation upon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.